package com.qmth.themis.business.enums;

/**
 * @Description: 预警信息说明
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/18
 */
public enum WarningLevelEnum {

    D4("一个考试场次中未检测到人脸或有违规动作（左顾右盼、低头、转身、离开座位、人脸移除、遮挡等）次数超过3次（持续30秒连续帧画面违规记为次数1次）", "【疑似违规动作】考生较长时间离座或持续有违规动作", "违纪预警"),

    D8("一个考试场次中检测到多张人脸超过3次（持续15秒连续帧画面90%存在多张人脸记为次数1次）", "【疑似求助第三方】系统多次检测到镜头里有除考生之外的多张人脸", "违纪预警"),

    D6("一个考试场次中检测到人脸与底照不符次数超过3次（持续30秒连续帧画面90%比对底照不符记为次数1次）", "【疑似替考】系统多次检测到当前考生身份不符", "违纪预警"),

    D14("一个考试场次内人脸抓拍检测（D13）失败累计次数超过6次", "【疑似采用照片】系统检测到考生疑似在镜头前采用照片", "违纪预警"),

    D15("真实性检测失败1次以上", "【疑似采用照片或虚拟摄像头】系统随机真实性检测失败", "违纪预警"),

    D13("1分钟内进行连续人脸抓拍检测不到闭眼动作", "【疑似采用照片】系统检测到考生疑似在镜头前采用照片", "违纪预警"),

    D16("1.取检测失败时的3张抓拍照片（开始1张，结束1张，过程1张）；2.时间轴上的事件按产生人工干预预警时间显示。", "【疑似替考】过程中随机活体检测不通过", "违纪预警"),

    D17("IP变动", "【IP变动】检测到考生IP地址变化", "违纪预警");

    private String desc;

    private String title;

    private String secondTitle;

    private WarningLevelEnum(String desc, String title, String secondTitle) {
        this.desc = desc;
        this.title = title;
        this.secondTitle = secondTitle;
    }

    public String getDesc() {
        return desc;
    }

    public String getTitle() {
        return title;
    }

    public String getSecondTitle() {
        return secondTitle;
    }
}
